Ci cd jobs
Cancel Job
Cancels a currently pending or running CI/CD job.
Authorization
http AuthorizationBasic <token>
Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Path Parameters
job_uuid*string
UUID of the job
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.ethiack.com/v1/jobs/string/cancel"{
"code": 0,
"description": "string",
"id": null,
"success": true
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}List Audit Logs GET
Fetches a list of audit logs for the organization, with support for filtering and pagination. > **Note:** Only organization owners and admins can access this endpoint. > Organization ID is auto-detected if user belongs to only one organization.
Check Job success GET
Checks if a CI/CD job was successful